Bug 1165170 (CVE-2014-7849) - CVE-2014-7849 JBoss AS/WildFly Domain Management: Limited RBAC authorization bypass
Summary: CVE-2014-7849 JBoss AS/WildFly Domain Management: Limited RBAC authorization ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-7849
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1165171 1165172 1165186
Blocks: 1155350 1164637 1217043
TreeView+ depends on / blocked
 
Reported: 2014-11-18 13:43 UTC by Arun Babu Neelicattu
Modified: 2021-02-17 05:59 UTC (History)
30 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that the Role Based Access Control (RBAC) implementation did not sufficiently verify all authorization conditions that are required by the Maintainer role to perform certain administrative actions. An authenticated user with the Maintainer role could use this flaw to add, modify, or undefine a limited set of attributes and their values, which otherwise cannot be written to.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:36:21 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0215 0 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.3.3 update 2015-02-12 01:06:34 UTC
Red Hat Product Errata RHSA-2015:0216 0 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.3.3 update 2015-02-12 01:18:36 UTC
Red Hat Product Errata RHSA-2015:0217 0 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.3.3 update 2015-02-12 01:16:58 UTC
Red Hat Product Errata RHSA-2015:0218 0 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.3.3 update 2015-02-12 01:36:41 UTC
Red Hat Product Errata RHSA-2015:0920 0 normal SHIPPED_LIVE Moderate: Red Hat JBoss Operations Network 3.3.2 update 2015-04-30 20:09:30 UTC

Description Arun Babu Neelicattu 2014-11-18 13:43:05 UTC
It was discovered that the Role Based Access Control (RBAC) implementation did not sufficiently verify all authorization conditions required by the Maintainer role to perform certain administrative actions. An authenticated user with the Maintainer role can use this flaw to add, modify or undefine a limited set of attributes and their values which otherwise cannot be written to.

Comment 4 Arun Babu Neelicattu 2014-11-19 06:10:15 UTC
Acknowledgements:

This issue was discovered by Darran Lofthouse of the Red Hat JBoss Enterprise Application Platform Team.

Comment 5 Arun Babu Neelicattu 2015-01-29 19:17:10 UTC
Statement:

This issue did not affect the versions of Red Hat JBoss Enterprise Application Platform before 6.2.0 as they did not include support for role-based access control (RBAC).

Comment 6 errata-xmlrpc 2015-02-11 20:06:53 UTC
This issue has been addressed in the following products:

  JBoss Enterprise Application Platform 6.3.3

Via RHSA-2015:0215 https://rhn.redhat.com/errata/RHSA-2015-0215.html

Comment 7 errata-xmlrpc 2015-02-11 20:26:35 UTC
This issue has been addressed in the following products:

  JBEAP 6.3.z for RHEL 6

Via RHSA-2015:0217 https://rhn.redhat.com/errata/RHSA-2015-0217.html

Comment 8 errata-xmlrpc 2015-02-11 20:28:05 UTC
This issue has been addressed in the following products:

  JBEAP 6.3.z for RHEL 5

Via RHSA-2015:0216 https://rhn.redhat.com/errata/RHSA-2015-0216.html

Comment 9 errata-xmlrpc 2015-02-11 21:14:45 UTC
This issue has been addressed in the following products:

  JBEAP 6.3.z for RHEL 7

Via RHSA-2015:0218 https://rhn.redhat.com/errata/RHSA-2015-0218.html

Comment 14 errata-xmlrpc 2015-04-30 16:10:17 UTC
This issue has been addressed in the following products:



Via RHSA-2015:0920 https://rhn.redhat.com/errata/RHSA-2015-0920.html


Note You need to log in before you can comment on or make changes to this bug.